package acsgroups

// IDs gets array of IDs from AccessGroupList struct
func (agl AccessGroupList) IDs() []string {
	res := make([]string, 0, len(agl.AccessGroups))
	for _, c := range agl.AccessGroups {
		res = append(res, c.ID)
	}
	return res
}

// IDs gets array of IDs from UsersList struct
func (ul UsersList) IDs() []string {
	res := make([]string, 0, len(ul.Users))
	for _, c := range ul.Users {
		res = append(res, c.ID)
	}
	return res
}
